Bug 196262 - Review Request: katapult: Faster access to applications, bookmarks, and other items
Summary: Review Request: katapult: Faster access to applications, bookmarks, and other...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-06-22 09:25 UTC by Chitlesh GOORAH
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 07:26:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chitlesh GOORAH 2006-06-22 09:25:43 UTC
Spec URL: http://beta.glwb.info/katapult/katapult.spec
SRPM URL: http://beta.glwb.info/katapult/katapult-0.3.1.3-1.src.rpm
Description:
Katapult is an application for KDE, designed to allow faster access to
applications, bookmarks, and other items. It is plugin-based, so it can
launch anything that is has a plugin for. Its display is driven by 
plugins as well, so its appearance is completely customizable. It was 
inspired by Quicksilver for OS X.

Comment 1 Aurelien Bompard 2006-06-22 10:21:34 UTC
404 not found...

Comment 2 Chitlesh GOORAH 2006-06-22 12:21:15 UTC
Sorry, URL fixed

though I have a problem with included -devel inside my spec file.

from http://beta.glwb.info/katapult/katapult.spec
Im having 
rpmlint -i katapult-0.3.1.3-1.i386.rpm
W: katapult devel-file-in-non-devel-package /usr/lib/libkatapult.so
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

W: katapult devel-file-in-non-devel-package /usr/lib/libkatapultdisplay.so
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

W: katapult devel-file-in-non-devel-package /usr/lib/libkatapultcatalog.so
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

So I modified as required
http://beta.glwb.info/katapult/katapult_.spec

during installation, I fell on
root(i386)[0]$rpm -ivh katapult-*
error: Failed dependencies:
        katapult-devel-0.3.1.3 is needed by katapult-0.3.1.3-1.i386
        libkatapult.so.0 is needed by katapult-0.3.1.3-1.i386
        libkatapultcatalog.so.0 is needed by katapult-0.3.1.3-1.i386
        libkatapultdisplay.so.0 is needed by katapult-0.3.1.3-1.i386

the katapult package needs
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}catalog.so
%{_libdir}/lib%{name}display.so
to install
but rpmlint wants me to put them in -devel package

how can I ask katapult to pull katapult-devel as dependency ?

Comment 3 Rex Dieter 2006-06-27 13:00:04 UTC
Looks like you may have some version of katapult already installed?
The specfile refers to shared libs
lib*.so.1
but the dependancies speak of
lib*.so.0
Something here is not right.

Other suggestions, 

1. drop
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
not needed/used.

2.  don't package libtool archives either do in %install
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
or
%exclude 
them


Comment 5 Rex Dieter 2006-07-24 19:01:12 UTC
Looks pretty good, I'll give it a once over...

Comment 6 Rex Dieter 2006-07-24 19:43:26 UTC
Checks out OK, and for the record:
$rpmlint katapult-0.3.1.3-4.fc6.i386.rpm
W: katapult devel-file-in-non-devel-package /usr/lib/libkatapult.so
W: katapult devel-file-in-non-devel-package /usr/lib/libkatapultdisplay.so
W: katapult devel-file-in-non-devel-package /usr/lib/libkatapultcatalog.so
(harmless, no biggie).

APPROVED.

Comment 7 Rex Dieter 2006-07-27 11:22:42 UTC
Don't forget to close this once the package has been imported into Extras' 
cvs.

Comment 8 Michał Bentkowski 2006-08-15 13:11:51 UTC
Why haven't you imported this package to Extras?

Comment 9 Rex Dieter 2006-08-15 13:15:57 UTC
I think Chitlesh has been on vacation:
http://fedoraproject.org/wiki/Vacation

Comment 10 Chitlesh GOORAH 2006-08-21 07:26:12 UTC
Sorry, yes I was on vacation :)


Note You need to log in before you can comment on or make changes to this bug.